.TH S3SWITCH 8 "S3 Savage Utilities"
.SH NAME
s3switch \- manage the output devices on an S3 Savage chip
.SH SYNOPSIS
.B s3switch
[\-q] [crt] [lcd] [tv] [both] [ntscj|ntsc|pal]
.SH DESCRIPTION
The S3 Savage chips have the ability to send their output
to a variety of different devices.  The Savage3D can display to a standard
CRT or to a TV.  The Savage4 and Savage2000 can display to a standard 
CRT or through a digital interface to an LCD panel.  The Savage/MX and
Savage/IX can ship to any two of those three.
.PP
The
.IR  s3switch
utility is used to select the devices to be used, and the format of the TV
signal.  When invoked with no parameters,
.I s3switch
displays the devices currently attached, and which of those devices are 
currently active.  Supplying one or more of the words
.I crt,
.I lcd,
or
.I tv
makes those devices the active devices.  The word
.I both
is a shortcut for the combination of
.I crt
and
.I lcd.
.PP
To change the format of the TV signal, specify either
.I ntscj,
.I ntsc
or
.I pal.
These words will be silently ignored on systems where a TV is not attached
or not possible.
.PP
The case of the keywords is unimportant;
.I LCD
and
.I lcd
are equivalent.
.PP
.IR S3switch
always displays the current state of things just before it exits, unless the
.I -q
option is given, in which case, it operates quietly.  Note that only the
Savage4 and Savage2000 are able to detect the presence or absence of the
various devices; the rest just assume everything is attached.
.IR S3switch
must be run as root.
.PP
.I S3switch
will not allow you to activate devices which are not connected, on those
chips that are able to detect this.
.SH AUTHOR
Tim Roberts (timr@probo.com)
.SH "SEE ALSO"
.BR X(1x), 
.BR Xserver(1x)
